Subject: Re: What's cooking in git.git (Dec 2010, #01; Sat, 4)

From: Miles Bader <[email-masked]>
Date: Mon, 06 Dec 2010 17:13:46 +0900

Yann Dirson <[email-masked]> writes:
> But then, why not simply use --find-renames (since --detect-renames has
> luckily not been released ontl the masses yet), and avoid making similar-usage
> opts dissimilar and then adding a synonym just to make them similar the other
> way ?

"Find" and "detect" have different nuances.

"Detect" sounds somewhat passive/minor, so "detect renames" makes it
more clear that renames are detected _in addition_ to normal processing.

"Find," by contrast, is active/major, so "find renames" makes it sounds
like an action to be performed _instead_ of some normal processing.

-Miles

-- 
97% of everything is grunge